Package org.springframework.ui.context

# Interface HierarchicalThemeSource

All Superinterfaces:
  `ThemeSource`

All Known Implementing Classes:
  `DelegatingThemeSource`, `ResourceBundleThemeSource`

@Deprecated(since="6.0") public interface HierarchicalThemeSource extends ThemeSource
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Sub-interface of ThemeSource to be implemented by objects that can resolve theme messages hierarchically.

Author:
  Jean-Pierre Pawlak, Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`ThemeSource`
`getParentThemeSource()`
Deprecated.
Return the parent of this ThemeSource, or `null` if none.
`void`
`setParentThemeSource(ThemeSource parent)`
Deprecated.
Set the parent that will be used to try to resolve theme messages that this object can't resolve.

### Methods inherited from interface org.springframework.ui.context.ThemeSource

`getTheme`

## Method Details

### setParentThemeSource

void setParentThemeSource(@Nullable ThemeSource parent)
Deprecated.
Set the parent that will be used to try to resolve theme messages that this object can't resolve.

Parameters:
  `parent` - the parent ThemeSource that will be used to resolve messages that this object can't resolve. May be `null`, in which case no further resolution is possible.

### getParentThemeSource

@Nullable ThemeSource getParentThemeSource()
Deprecated.
Return the parent of this ThemeSource, or `null` if none.